Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Properties/AssemblyInfo.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Properties/AssemblyInfo.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Properties/AssemblyInfo.cs	(revision 14513)
@@ -1,4 +1,3 @@
 ﻿using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
@@ -6,4 +5,5 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
+
 [assembly: AssemblyTitle("HeuristicLab.Algorithms.PushGP")]
 [assembly: AssemblyDescription("")]
@@ -18,7 +18,9 @@
 // to COM components.  If you need to access a type in this assembly from 
 // COM, set the ComVisible attribute to true on that type.
+
 [assembly: ComVisible(false)]
 
 // The following GUID is for the ID of the typelib if this project is exposed to COM
+
 [assembly: Guid("368d1303-470c-4f31-91f2-0fad379daa45")]
 
@@ -33,4 +35,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
+
 [assembly: AssemblyVersion("1.0.0.0")]
 [assembly: AssemblyFileVersion("1.0.0.0")]
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/ISimplifier.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/ISimplifier.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/ISimplifier.cs	(revision 14513)
@@ -1,9 +1,9 @@
-﻿using HeuristicLab.Algorithms.PushGP.Expressions;
+﻿namespace HeuristicLab.Algorithms.PushGP.Simplifier {
+  using System;
 
-namespace HeuristicLab.Algorithms.PushGP.Simplifier
-{
-    public interface ISimplifier
-    {
-        Expression Simplify(Expression program);
-    }
+  using HeuristicLab.Algorithms.PushGP.Expressions;
+
+  public interface ISimplifier {
+    ExecExpandExpression Simplify(ExecExpandExpression program, Predicate<ExecExpandExpression> isBetter);
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/RandomSimplifier.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/RandomSimplifier.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/RandomSimplifier.cs	(revision 14513)
@@ -1,28 +1,62 @@
-﻿using HeuristicLab.Algorithms.PushGP.Expressions;
-using HeuristicLab.Core;
-using HeuristicLab.Random;
+﻿namespace HeuristicLab.Algorithms.PushGP.Simplifier {
+  using System;
+  using System.Threading;
+  using HeuristicLab.Algorithms.PushGP.Data.Random;
+  using HeuristicLab.Algorithms.PushGP.Expressions;
+  using HeuristicLab.Core;
 
-namespace HeuristicLab.Algorithms.PushGP.Simplifier
-{
-    public class RandomSimplifier : ISimplifier
-    {
-        private IRandom rand = new FastRandom();
-        public int Trys { get; set; }
+  public class RandomSimplifier : ISimplifier {
+    private static readonly ThreadLocal<IRandom> random = RandomFactory.GetRandom();
 
-        public Expression Simplify(Expression program)
-        {
-            if (program.GetType() != typeof(ExecExpandExpression))
-                return program;
+    public int Trys { get; set; }
 
-            var clone = program.Clone() as ExecExpandExpression;
+    public ExecExpandExpression Simplify(ExecExpandExpression program, Predicate<ExecExpandExpression> isBetter) {
 
-            for (var i = 0; i < Trys; i++)
-            {
-                var index = rand.Next(0, clone.TotalCount - 1);
+      if (program.TotalCount == 1) {
+        return isBetter(ExecExpandExpression.Empty) ? ExecExpandExpression.Empty : program;
+      }
 
-            }
+      var copy = program.Copy();
+      var maxTrys = Math.Min(Trys, program.TotalCount - 2);
+      var sucessfullRemoves = 0;
 
-            return clone;
+      for (var i = 0; i < maxTrys; i++) {
+        var rndIndex = random.Value.Next(1, program.TotalCount - 1 - sucessfullRemoves);
+        var node = copy.GetFromTree(
+          rndIndex,
+          (super, parent, child, childIndex, parentIndex) => new {
+            Super = super,
+            Parent = parent,
+            ChildIndex = childIndex,
+            ParentIndex = parentIndex
+          });
+
+        var oldParentExpressions = node.Parent.Expressions as Expression[];
+        var newParentExpressions = RemoveAt(oldParentExpressions, node.ChildIndex);
+        var newParent = new ExecExpandExpression(newParentExpressions);
+
+        var superExpressions = (node.Super == null ? copy.Expressions : node.Super.Expressions) as Expression[];
+        superExpressions[node.ParentIndex] = newParent;
+
+        if (isBetter(copy)) {
+          sucessfullRemoves++;
+        } else {
+          superExpressions[node.ParentIndex] = node.Parent;
         }
+      }
+
+      return copy;
     }
+
+    private static T[] RemoveAt<T>(T[] source, int index) {
+      var dest = new T[source.Length - 1];
+      if (index > 0)
+        Array.Copy(source, 0, dest, 0, index);
+
+      if (index < source.Length - 1)
+        Array.Copy(source, index + 1, dest, index, source.Length - index - 1);
+
+      return dest;
+    }
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Stack/IStack.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Stack/IStack.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Stack/IStack.cs	(revision 14513)
@@ -1,34 +1,56 @@
-﻿using System;
-using System.Collections.Generic;
+﻿namespace HeuristicLab.Algorithms.PushGP.Stack {
+  using System;
+  using System.Collections.Generic;
 
-namespace HeuristicLab.Algorithms.PushGP.Stack
-{
-    public interface IStack<T> : IEnumerable<T>, ICollection<T>
-    {
-        void Swap(int count);
-        void Yank(int index);
-        bool IsEmpty { get; }
-        void Push(T item);
-        void Push(params T[] items);
-        void Push(IEnumerable<T> items);
-        void PushResult(int count, Func<T[], T> templateFunc);
-        void Insert(int index, T item);
-        void Insert(int index, params T[] items);
-        void Insert(int index, IEnumerable<T> items);
-        T ReverseElementAt(int offset);
-        void SetTop(T value);
-        void RemoveTop();
-        void Remove(int count);
-        void RemoveAt(int index);
-        void RemoveAt(int index, int count);
-        T Pop();
-        T[] Pop(int count);
-        bool TryPop(out T item);
-        T ElementAt(int index);
-        T Top { get; }
-        T TopOrDefault { get; }
-        T Bottom { get; }
-        T BottomOrDefault { get; }
-        T this[int key] { get; set; }
-    }
+  public interface IStack<T> : ICollection<T> {
+    bool IsEmpty { get; }
+
+    T Top { get; }
+
+    T TopOrDefault { get; }
+
+    T Bottom { get; }
+
+    T BottomOrDefault { get; }
+
+    T this[int key] { get; set; }
+
+    void Swap(int count);
+
+    void Yank(int index);
+
+    void Push(T item);
+
+    void Push(params T[] items);
+
+    void Push(IEnumerable<T> items);
+
+    void PushResult(int count, Func<T[], T> templateFunc);
+
+    void Insert(int index, T item);
+
+    void Insert(int index, params T[] items);
+
+    void Insert(int index, IEnumerable<T> items);
+
+    T ReverseElementAt(int offset);
+
+    void SetTop(T value);
+
+    void RemoveTop();
+
+    void Remove(int count);
+
+    void RemoveAt(int index);
+
+    void RemoveAt(int index, int count);
+
+    T Pop();
+
+    T[] Pop(int count);
+
+    bool TryPop(out T item);
+
+    T ElementAt(int index);
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Stack/PushGPStack.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Stack/PushGPStack.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Stack/PushGPStack.cs	(revision 14513)
@@ -1,234 +1,245 @@
-﻿using System;
-using System.Collections;
-using System.Collections.Generic;
-
-namespace HeuristicLab.Algorithms.PushGP.Stack
-{
-    /// <summary>
-    /// While Push's stacks are generally treated as genuine stacks---that is, inclassions take their arguments from the tops of
-    /// the stacks and push their results onto the tops of the stacks---a few inclassions (like YANK and SHOVE) do allow direct access
-    /// to "deep" stack elements by means of integer indices. To this extent the stacks can be used as general, random access memory
-    /// classures. This is one of the features that ensures the Turing-completeness of Push (another being the arbitrary name/value
-    /// bindings supported by the NAME data type and DEFINE methods; see below).
-    /// </summary>
-    /// <typeparam name="T">The item type of the collection.</typeparam>
-    public class PushGPStack<T> : IStack<T>
-    {
-        private readonly List<T> data;
-        private const string Delimiter = " ";
-
-        public PushGPStack(int capacity = 0)
-        {
-            data = new List<T>();
-        }
-
-        public T Top { get { return data[Count - 1]; } }
-        public T TopOrDefault { get { return Count > 0 ? data[Count - 1] : default(T); } }
-        public T Bottom { get { return data[0]; } }
-        public T BottomOrDefault { get { return Count > 0 ? data[0] : default(T); } }
-        public int Count { get { return data.Count; } }
-        public int Capacity { get { return data.Capacity; } }
-        public bool IsEmpty { get { return Count == 0; } }
-
-        public bool IsReadOnly { get { return false; } }
-
-        public void Add(T item)
-        {
-            Push(item);
-        }
-
-        public void Clear()
-        {
-            data.Clear();
-        }
-
-        public bool Contains(T item)
-        {
-            return data.Contains(item);
-        }
-
-        public void CopyTo(T[] array, int arrayIndex)
-        {
-            data.CopyTo(array, arrayIndex);
-        }
-
-        public IEnumerator<T> GetEnumerator()
-        {
-            return data.GetEnumerator();
-        }
-
-        public T ElementAt(int index)
-        {
-            return data[index];
-        }
-
-
-        public T ReverseElementAt(int offset)
-        {
-            return data[Count - 1 - offset];
-        }
-
-        public void SetTop(T value)
-        {
-            data[Count - 1] = value;
-        }
-
-        public T this[int key]
-        {
-            get { return data[key]; }
-            set { data[key] = value; }
-        }
-
-        public void Swap(int count)
-        {
-            var top = Top;
-            var bottomIndex = Count - count;
-
-            for (var i = Count - 1; i > bottomIndex; i--)
-            {
-                data[i] = data[i - 1];
-            }
-
-            data[bottomIndex] = top;
-        }
-
-        public void Yank(int index)
-        {
-            var item = ElementAt(index);
-            data.RemoveAt(index);
-            data.Add(item);
-        }
-
-        public T Pop()
-        {
-            var value = data[Count - 1];
-            data.RemoveAt(Count - 1);
-
-            return value;
-        }
-
-        public T[] Pop(int count)
-        {
-            var startIndex = Count - count;
-
-            var items = new T[count];
-            data.CopyTo(startIndex, items, 0, count);
-            Remove(count);
-
-            return items;
-        }
-
-        public void Push(T item)
-        {
-            data.Add(item);
-        }
-
-        public void Push(object[] items)
-        {
-            for (var i = 0; i < items.Length; i++)
-            {
-                data.Add((T)items[i]);
-            }
-        }
-
-        public void PushResult(int count, Func<T[], T> templateFunc)
-        {
-            var startIndex = Count - count;
-            var items = new T[count];
-
-            data.CopyTo(startIndex, items, 0, count);
-            Remove(count - 1);
-
-            data[Count - 1] = templateFunc(items);
-        }
-
-        public void Push(params T[] items)
-        {
-            for (var i = 0; i < items.Length; i++)
-            {
-                data.Add(items[i]);
-            }
-        }
-
-        public void Push(IEnumerable<T> items)
-        {
-            data.AddRange(items);
-        }
-
-        public void Insert(int index, T item)
-        {
-            data.Insert(index, item);
-        }
-
-        public void Insert(int index, params T[] items)
-        {
-            data.InsertRange(index, items);
-        }
-
-        public void Insert(int index, IEnumerable<T> items)
-        {
-            data.InsertRange(index, items);
-        }
-
-        public bool Remove(T item)
-        {
-            var index = Count - 1;
-            if (Count > 0 && data[index].Equals(item))
-            {
-                data.RemoveAt(index);
-                return true;
-            }
-            else
-            {
-                return false;
-            }
-        }
-
-        public void RemoveTop()
-        {
-            data.RemoveAt(Count - 1);
-        }
-
-        public void Remove(int count)
-        {
-            for (var i = 0; i < count; i++)
-            {
-                data.RemoveAt(Count - 1);
-            }
-        }
-
-        public void RemoveAt(int index)
-        {
-            data.RemoveAt(index);
-        }
-
-        public void RemoveAt(int index, int count)
-        {
-            data.RemoveRange(index, count);
-        }
-
-        public bool TryPop(out T item)
-        {
-            if (Count > 0)
-            {
-                item = Pop();
-                return true;
-            }
-            else
-            {
-                item = default(T);
-                return false;
-            }
-        }
-
-        IEnumerator IEnumerable.GetEnumerator()
-        {
-            return (data as IEnumerable).GetEnumerator();
-        }
-
-        public override string ToString()
-        {
-            return string.Join(Delimiter, data);
-        }
-    }
+﻿namespace HeuristicLab.Algorithms.PushGP.Stack {
+  using System;
+  using System.Collections;
+  using System.Collections.Generic;
+
+  /// <summary>
+  ///     While Push's stacks are generally treated as genuine stacks---that is, inclassions take their arguments from the
+  ///     tops of
+  ///     the stacks and push their results onto the tops of the stacks---a few inclassions (like YANK and SHOVE) do allow
+  ///     direct access
+  ///     to "deep" stack elements by means of integer indices. To this extent the stacks can be used as general, random
+  ///     access memory
+  ///     classures. This is one of the features that ensures the Turing-completeness of Push (another being the arbitrary
+  ///     name/value
+  ///     bindings supported by the NAME data type and DEFINE methods; see below).
+  /// </summary>
+  /// <typeparam name="T">The item type of the collection.</typeparam>
+  public class PushGPStack<T> : IStack<T> {
+    private const string Delimiter = " ";
+
+    private readonly List<T> data;
+
+    public PushGPStack(int capacity = 0) {
+      this.data = new List<T>();
+    }
+
+    public int Capacity
+    {
+      get
+      {
+        return this.data.Capacity;
+      }
+    }
+
+    public T Top
+    {
+      get
+      {
+        return this.data[this.Count - 1];
+      }
+    }
+
+    public T TopOrDefault
+    {
+      get
+      {
+        return this.Count > 0 ? this.data[this.Count - 1] : default(T);
+      }
+    }
+
+    public T Bottom
+    {
+      get
+      {
+        return this.data[0];
+      }
+    }
+
+    public T BottomOrDefault
+    {
+      get
+      {
+        return this.Count > 0 ? this.data[0] : default(T);
+      }
+    }
+
+    public int Count
+    {
+      get
+      {
+        return this.data.Count;
+      }
+    }
+
+    public bool IsEmpty
+    {
+      get
+      {
+        return this.Count == 0;
+      }
+    }
+
+    public bool IsReadOnly
+    {
+      get
+      {
+        return false;
+      }
+    }
+
+    public void Add(T item) {
+      this.Push(item);
+    }
+
+    public void Clear() {
+      this.data.Clear();
+    }
+
+    public bool Contains(T item) {
+      return this.data.Contains(item);
+    }
+
+    public void CopyTo(T[] array, int arrayIndex) {
+      this.data.CopyTo(array, arrayIndex);
+    }
+
+    public IEnumerator<T> GetEnumerator() {
+      return this.data.GetEnumerator();
+    }
+
+    public T ElementAt(int index) {
+      return this.data[index];
+    }
+
+    public T ReverseElementAt(int offset) {
+      return this.data[this.data.Count - 1 - offset];
+    }
+
+    public void SetTop(T value) {
+      this.data[this.Count - 1] = value;
+    }
+
+    public T this[int key]
+    {
+      get
+      {
+        return this.data[key];
+      }
+      set
+      {
+        this.data[key] = value;
+      }
+    }
+
+    public void Swap(int count) {
+      var top = this.Top;
+      var bottomIndex = this.Count - count;
+
+      for (var i = this.Count - 1; i > bottomIndex; i--) this.data[i] = this.data[i - 1];
+
+      this.data[bottomIndex] = top;
+    }
+
+    public void Yank(int index) {
+      if (index == this.Count - 1) return;
+
+      var item = this.ElementAt(index);
+      this.data.RemoveAt(index);
+      this.data.Add(item);
+    }
+
+    public T Pop() {
+      var value = this.data[this.Count - 1];
+      this.data.RemoveAt(this.Count - 1);
+
+      return value;
+    }
+
+    public T[] Pop(int count) {
+      var startIndex = this.Count - count;
+
+      var items = new T[count];
+      this.data.CopyTo(startIndex, items, 0, count);
+      this.Remove(count);
+
+      return items;
+    }
+
+    public void Push(T item) {
+      this.data.Add(item);
+    }
+
+    public void PushResult(int count, Func<T[], T> templateFunc) {
+      var startIndex = this.Count - count;
+      var items = new T[count];
+
+      this.data.CopyTo(startIndex, items, 0, count);
+      this.Remove(count - 1);
+
+      this.data[this.Count - 1] = templateFunc(items);
+    }
+
+    public void Push(params T[] items) {
+      for (var i = 0; i < items.Length; i++) this.data.Add(items[i]);
+    }
+
+    public void Push(IEnumerable<T> items) {
+      this.data.AddRange(items);
+    }
+
+    public void Insert(int index, T item) {
+      this.data.Insert(index, item);
+    }
+
+    public void Insert(int index, params T[] items) {
+      this.data.InsertRange(index, items);
+    }
+
+    public void Insert(int index, IEnumerable<T> items) {
+      this.data.InsertRange(index, items);
+    }
+
+    public bool Remove(T item) {
+      var index = this.Count - 1;
+      if ((this.Count > 0) && this.data[index].Equals(item)) {
+        this.data.RemoveAt(index);
+        return true;
+      }
+      return false;
+    }
+
+    public void RemoveTop() {
+      this.data.RemoveAt(this.Count - 1);
+    }
+
+    public void Remove(int count) {
+      for (var i = 0; i < count; i++) this.data.RemoveAt(this.Count - 1);
+    }
+
+    public void RemoveAt(int index) {
+      this.data.RemoveAt(index);
+    }
+
+    public void RemoveAt(int index, int count) {
+      this.data.RemoveRange(index, count);
+    }
+
+    public bool TryPop(out T item) {
+      if (this.Count > 0) {
+        item = this.Pop();
+        return true;
+      }
+      item = default(T);
+      return false;
+    }
+
+    IEnumerator IEnumerable.GetEnumerator() {
+      return (this.data as IEnumerable).GetEnumerator();
+    }
+
+    public override string ToString() {
+      return string.Join(Delimiter, this.data);
+    }
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/ArtificialDataDescriptor.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/ArtificialDataDescriptor.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/ArtificialDataDescriptor.cs	(revision 14513)
@@ -1,13 +1,15 @@
-﻿using System.Collections.Generic;
-using HeuristicLab.Problems.Instances;
+﻿namespace HeuristicLab.BenchmarkSuite
+{
+  using System.Collections.Generic;
 
-namespace HeuristicLab.BenchmarkSuite
-{
-    public abstract class ArtificialDataDescriptor : IDataDescriptor
-    {
-        public abstract string Description { get; }
-        public abstract string Name { get; }
+  using HeuristicLab.Problems.Instances;
 
-        protected abstract IEnumerable<Example> GenerateExamples();
-    }
+  public abstract class ArtificialDataDescriptor : IDataDescriptor
+  {
+    public abstract string Description { get; }
+
+    public abstract string Name { get; }
+
+    protected abstract IEnumerable<Example> GenerateExamples();
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/BenchmarkSuiteDataDescriptor.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/BenchmarkSuiteDataDescriptor.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/BenchmarkSuiteDataDescriptor.cs	(revision 14513)
@@ -1,31 +1,33 @@
-﻿using System.Collections.Generic;
-using HeuristicLab.Core;
-using HeuristicLab.Random;
+﻿namespace HeuristicLab.BenchmarkSuite
+{
+  using System.Collections.Generic;
 
-namespace HeuristicLab.BenchmarkSuite
-{
-    public abstract class BenchmarkSuiteDataDescritpor<T> : ArtificialDataDescriptor
+  using HeuristicLab.Core;
+  using HeuristicLab.Random;
+
+  public abstract class BenchmarkSuiteDataDescritpor<T> : ArtificialDataDescriptor
+  {
+    protected static IRandom rand = new FastRandom();
+
+    protected abstract IEnumerable<T> GenerateTraining();
+
+    protected abstract IEnumerable<T> GenerateTest();
+
+    protected abstract IEnumerable<Example> GenerateExamples(IEnumerable<T> trainingAndTest);
+
+    protected override IEnumerable<Example> GenerateExamples()
     {
-        protected static IRandom rand = new FastRandom();
+      var training = this.GenerateTraining();
 
-        protected abstract IEnumerable<T> GenerateTraining();
-        protected abstract IEnumerable<T> GenerateTest();
+      training = training.Shuffle(rand);
 
-        protected abstract IEnumerable<Example> GenerateExamples(IEnumerable<T> trainingAndTest);
+      var test = this.GenerateTest();
 
-        protected override IEnumerable<Example> GenerateExamples()
-        {
-            var training = GenerateTraining();
+      var all = new List<T>();
+      all.AddRange(training);
+      all.AddRange(test);
 
-            training = training.Shuffle(rand);
-
-            var test = GenerateTest();
-
-            var all = new List<T>();
-            all.AddRange(training);
-            all.AddRange(test);
-
-            return GenerateExamples(all);
-        }
+      return this.GenerateExamples(all);
     }
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/HeuristicLab.BenchmarkSuite.csproj.user
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/HeuristicLab.BenchmarkSuite.csproj.user	(revision 14513)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.BenchmarkSuite/HeuristicLab.BenchmarkSuite.csproj.user	(revision 14513)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <ProjectView>ShowAllFiles</ProjectView>
+  </PropertyGroup>
+</Project>
